Bug 125881 - FILEOPEN DOCX Deleted paragraph restarts numbering at lower level
Summary: FILEOPEN DOCX Deleted paragraph restarts numbering at lower level
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: bibisected, bisected
Depends on:
Blocks: DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2019-06-12 12:06 UTC by NISZ LibreOffice Team
Modified: 2019-06-14 13:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (33.64 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-06-12 12:07 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (99.13 KB, image/png)
2019-06-12 12:07 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-06-12 12:06:47 UTC
Description:
Attached example is a simplified user document with some tracked changes to the numbered paragraphs.
In recent LO master the deleted paragraph gets numbering of second level and following paragraphs continue that, breaking the order set in Word.


Steps to Reproduce:
1.	Open the attached document
2.	Notice that the deleted paragraph before I.3. (as numbered by Word) gets numbered as II. and the I.3. is now II.1.


Actual Results:
Empty paragraph gets numbered.

Expected Results:
No extra numbering appears.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2019-06-12 12:07:23 UTC
Created attachment 152133 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2019-06-12 12:07:39 UTC
Created attachment 152134 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 Timur 2019-06-12 13:37:47 UTC
Repro 6.4+. Was worse in 6.2 and somewhat improved. Fine with 6.1. I add bibisectRequest.
Comment 4 Gabor Kelemen 2019-06-12 14:14:52 UTC
Strange... I bibisected this already to:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=caeb6ff68d49e1b1ca911cf3f63371b855ee935d 

author	László Németh <nemeth@numbertext.org>	2019-05-27 18:23:46 +0200
committer	László Németh <nemeth@numbertext.org>	2019-05-28 07:49:28 +0200
DOCX import: clean-up FinalizeImport() of change tracking
Comment 5 Xisco Faulí 2019-06-12 14:50:50 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 31944b14c3e998a37a0bb3dff300f4460c322183
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2019-06-14 06:03:02 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/be9379d0a955bd06a8d22c4dc8d99a87ed062ac4%5E%21

tdf#125881 DOCX import: handle list level after tracked deletion

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 László Németh 2019-06-14 08:39:44 UTC
Timur, Xisco: I believe, this was not a regression. Switching off Show Changes removed the numbering in 6.0 and in the master, too, before fixing tdf#125319 and this bug, ie. the import was never correct, and saving in DOCX format resulted missing numbering in Show Changes mode, too. Now the actual numbering is imported correctly (the numbering on the deleted paragraph is a temporary solution until a better change tracking implementation).
Comment 8 Xisco Faulí 2019-06-14 09:16:17 UTC
(In reply to László Németh from comment #7)
> Timur, Xisco: I believe, this was not a regression. Switching off Show
> Changes removed the numbering in 6.0 and in the master, too, before fixing
> tdf#125319 and this bug, ie. the import was never correct, and saving in
> DOCX format resulted missing numbering in Show Changes mode, too. Now the
> actual numbering is imported correctly (the numbering on the deleted
> paragraph is a temporary solution until a better change tracking
> implementation).

ok, let's remove the keyword then...
Comment 9 Commit Notification 2019-06-14 13:49:18 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/77d9befd703e958f359e25fb67a96e25655cf2db%5E%21

tdf#125881 DOCX import: handle list level after tracked deletion

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.